Source: crac
Version: 2.5.2+dfsg-6
Severity: minor
Tags: trixie sid ftbfs
User: lu...@debian.org
Usertags: ftbfs-shuffle

Hi,

GNU Make now has a --shuffle option that simulates non-deterministic ordering
of target prerequisites. See
https://trofi.github.io/posts/238-new-make-shuffle-mode.html and also previous
work in Debian by Santiago Vila:
https://people.debian.org/~sanvila/make-shuffle/

This package fails to build with make --shuffle=reverse.
This is likely to be caused by a missing dependency in
debian/rules or an upstream Makefile.

More information about this mass bug filing is available at
https://wiki.debian.org/qa.debian.org/FTBFS/Shuffle

Relevant part (hopefully):
> make[6]: Entering directory '/build/reproducible-path/crac-2.5.2+dfsg/test_f'
> Makefile:971: update target 'test_index.sh.log' due to: target does not exist
> p='test_index.sh'; \
> b='test_index.sh'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case 
> $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= 
> red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then 
> am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif 
> test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then 
> am__color_tests=yes; fi; if test $am__color_tests = yes; then red=''; 
> grn=''; lgn=''; blu=''; mgn=''; brg=''; 
> std=''; fi; }; srcdir=.; export srcdir; case "test_index.sh.log" in */*) 
> am__odir=`echo "./test_index.sh.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; 
> esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p 
> "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; 
> then dir=; else dir="./"; fi; tst=$dir$f; log='test_index.sh.log'; if test -n 
> ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else 
> am__collect_skipped_logs=''; fi; if test -n ''; then 
> am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case "  " in 
> *[\ \       ]$f[\ \ ]* | *[\ \      ]$dir$f[\ \     ]*) 
> am__expect_failure=yes;; *) am__expect_failure=no;; esac;   /bin/bash 
> ../config/test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs 
> --enable-hard-errors "$am__enable_hard_errors" --expect-failure 
> "$am__expect_failure"   --    \
> "$tst" 
> PASS: test_index.sh
> Makefile:964: update target 'launch_sg.sh.log' due to: target does not exist
> p='launch_sg.sh'; \
> b='launch_sg.sh'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case 
> $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= 
> red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then 
> am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif 
> test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then 
> am__color_tests=yes; fi; if test $am__color_tests = yes; then red=''; 
> grn=''; lgn=''; blu=''; mgn=''; brg=''; 
> std=''; fi; }; srcdir=.; export srcdir; case "launch_sg.sh.log" in */*) 
> am__odir=`echo "./launch_sg.sh.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; 
> esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p 
> "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; 
> then dir=; else dir="./"; fi; tst=$dir$f; log='launch_sg.sh.log'; if test -n 
> ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else 
> am__collect_skipped_logs=''; fi; if test -n ''; then 
> am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case "  " in 
> *[\ \  ]$f[\ \ ]* | *[\ \      ]$dir$f[\ \     ]*) am__expect_failure=yes;; 
> *) am__expect_failure=no;; esac;   /bin/bash ../config/test-driver 
> --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs 
> --enable-hard-errors "$am__enable_hard_errors" --expect-failure 
> "$am__expect_failure"   --    \
> "$tst" 
> FAIL: launch_sg.sh
> Makefile:957: update target 'index_genomes.sh.log' due to: target does not 
> exist
> p='index_genomes.sh'; \
> b='index_genomes.sh'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case 
> $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= 
> red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then 
> am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif 
> test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then 
> am__color_tests=yes; fi; if test $am__color_tests = yes; then red=''; 
> grn=''; lgn=''; blu=''; mgn=''; brg=''; 
> std=''; fi; }; srcdir=.; export srcdir; case "index_genomes.sh.log" in 
> */*) am__odir=`echo "./index_genomes.sh.log" | sed 's|/[^/]*$||'`;; *) 
> am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || 
> /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; 
> elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; 
> log='index_genomes.sh.log'; if test -n ''; then 
> am__collect_skipped_logs='--collect-skipped-logs no'; else 
> am__collect_skipped_logs=''; fi; if test -n ''; then 
> am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case "  " in 
> *[\ \      ]$f[\ \ ]* | *[\ \      ]$dir$f[\ \     ]*) 
> am__expect_failure=yes;; *) am__expect_failure=no;; esac;   /bin/bash 
> ../config/test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs 
> --enable-hard-errors "$am__enable_hard_errors" --expect-failure 
> "$am__expect_failure"   --    \
> "$tst" 
> PASS: index_genomes.sh
> Makefile:804: update target 'test-suite.log' due to: target does not exist
> bases='index_genomes.sh.log launch_sg.sh.log test_index.sh.log'; bases=`for i 
> in $bases; do echo $i; done | sed 's/\.log$//'`; bases=`echo $bases`; \
> am__f_ok () { test -f "$1" && test -r "$1"; }; \
> redo_bases=`for i in $bases; do \
>               am__f_ok $i.trs && am__f_ok $i.log || echo $i; \
>             done`; \
> if test -n "$redo_bases"; then \
>   redo_logs=`for i in $redo_bases; do echo $i.log; done`; \
>   redo_results=`for i in $redo_bases; do echo $i.trs; done`; \
>   if (target_option=n; case ${target_option-} in ?) ;; *) echo 
> "am__make_running_with_option: internal error: invalid" "target option 
> '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; 
> sane_makeflags=$MAKEFLAGS; if { if test -z '6'; then false; elif test -n 
> 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n 
> '/build/reproducible-path/crac-2.5.2+dfsg/test_f'; then true; else false; fi; 
> }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \ ]*) bs=\\; 
> sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs   
> ]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' 
> "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next 
> = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) 
> strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) 
> strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) 
> strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) 
> skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) 
> has_opt=yes; break;; esac; done; test $has_opt = yes); then :; else \
>     rm -f $redo_logs && rm -f $redo_results || exit 1; \
>   fi; \
> fi; \
> if test -n "$am__remaking_logs"; then \
>   echo "fatal: making test-suite.log: possible infinite" \
>        "recursion detected" >&2; \
> elif test -n "$redo_logs"; then \
>   am__remaking_logs=yes make  $redo_logs; \
> fi; \
> if (target_option=n; case ${target_option-} in ?) ;; *) echo 
> "am__make_running_with_option: internal error: invalid" "target option 
> '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; 
> sane_makeflags=$MAKEFLAGS; if { if test -z '6'; then false; elif test -n 
> 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n 
> '/build/reproducible-path/crac-2.5.2+dfsg/test_f'; then true; else false; fi; 
> }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \   ]*) bs=\\; 
> sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs   
> ]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' 
> "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next 
> = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) 
> strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) 
> strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) 
> strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) 
> skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) 
> has_opt=yes; break;; esac; done; test $has_opt = yes); then :; else \
>   st=0;  \
>   errmsg="fatal: making test-suite.log: failed to create"; \
>   for i in $redo_bases; do \
>     test -f $i.trs && test -r $i.trs \
>       || { echo "$errmsg $i.trs" >&2; st=1; }; \
>     test -f $i.log && test -r $i.log \
>       || { echo "$errmsg $i.log" >&2; st=1; }; \
>   done; \
>   test $st -eq 0 || exit 1; \
> fi
> case $- in *e*) set +e;; esac; { mgn= red= grn= lgn= blu= brg= std=; 
> am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" 
> = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 
> 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = 
> yes; then red=''; grn=''; lgn=''; blu=''; 
> mgn=''; brg=''; std=''; fi; }; bases='index_genomes.sh.log 
> launch_sg.sh.log test_index.sh.log'; bases=`for i in $bases; do echo $i; done 
> | sed 's/\.log$//'`; bases=`echo $bases`; \
> ws='[         ]'; \
> results=`for b in $bases; do echo $b.trs; done`; \
> test -n "$results" || results=/dev/null; \
> all=`  grep "^$ws*:test-result:"           $results | wc -l`; \
> pass=` grep "^$ws*:test-result:$ws*PASS"  $results | wc -l`; \
> fail=` grep "^$ws*:test-result:$ws*FAIL"  $results | wc -l`; \
> skip=` grep "^$ws*:test-result:$ws*SKIP"  $results | wc -l`; \
> xfail=`grep "^$ws*:test-result:$ws*XFAIL" $results | wc -l`; \
> xpass=`grep "^$ws*:test-result:$ws*XPASS" $results | wc -l`; \
> error=`grep "^$ws*:test-result:$ws*ERROR" $results | wc -l`; \
> if test `expr $fail + $xpass + $error` -eq 0; then \
>   success=true; \
> else \
>   success=false; \
> fi; \
> br='==================='; br=$br$br$br$br; \
> result_count () \
> { \
>     if test x"$1" = x"--maybe-color"; then \
>       maybe_colorize=yes; \
>     elif test x"$1" = x"--no-color"; then \
>       maybe_colorize=no; \
>     else \
>       echo "test-suite.log: invalid 'result_count' usage" >&2; exit 4; \
>     fi; \
>     shift; \
>     desc=$1 count=$2; \
>     if test $maybe_colorize = yes && test $count -gt 0; then \
>       color_start=$3 color_end=$std; \
>     else \
>       color_start= color_end=; \
>     fi; \
>     echo "${color_start}# $desc $count${color_end}"; \
> }; \
> create_testsuite_report () \
> { \
>   result_count $1 "TOTAL:" $all   "$brg"; \
>   result_count $1 "PASS: " $pass  "$grn"; \
>   result_count $1 "SKIP: " $skip  "$blu"; \
>   result_count $1 "XFAIL:" $xfail "$lgn"; \
>   result_count $1 "FAIL: " $fail  "$red"; \
>   result_count $1 "XPASS:" $xpass "$red"; \
>   result_count $1 "ERROR:" $error "$mgn"; \
> }; \
> output_system_information () \
> { \
>           echo;                                     \
>   { uname -a | mawk '{                    \
>   printf "System information (uname -a):";          \
>   for (i = 1; i < NF; ++i)                          \
>     {                                               \
>       if (i != 2)                                   \
>         printf " %s", $i;                          \
>     }                                               \
>   printf "\n";                                      \
> }'; } 2>&1;                                         \
>   if test -r /etc/os-release; then          \
>     echo "Distribution information (/etc/os-release):"; \
>     sed 8q /etc/os-release;                 \
>   elif test -r /etc/issue; then             \
>     echo "Distribution information (/etc/issue):";      \
>     cat /etc/issue;                         \
>   fi;                                       \
> }; \
> please_report () \
> { \
> echo "Some test(s) failed.  Please report this to 
> crac-b...@lists.gforge.inria.fr,";    \
> echo "together with the test-suite.log file (gzipped) and your system";      \
> echo "information.  Thanks.";                                                \
> }; \
> {                                                             \
>   echo "crac 2.5.2: test_f/test-suite.log" |  \
>     { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$//;p;g' && echo; };               
>                                 \
>   create_testsuite_report --no-color;                         \
>   output_system_information;                                    \
>   echo;                                                               \
>   echo ".. contents:: :depth: 2";                             \
>   echo;                                                               \
>   for b in $bases; do echo $b; done                           \
>     | mawk ' function fatal(msg) { print "fatal: making test-suite.log: " msg 
> | "cat >&2"; exit 1; } function rst_section(header) { print header; len = 
> length(header); for (i = 1; i <= len; i = i + 1) printf "="; printf "\n\n"; } 
> { copy_in_global_log = 1; global_test_result = "RUN"; while ((rc = (getline 
> line < ($0 ".trs"))) != 0) { if (rc < 0) fatal("failed to read from " $0 
> ".trs"); if (line ~ /^[    ]*:global-test-result:[         ]*/) { sub("^[  
> ]*:global-test-result:[         ]*", "", line); sub("[  ]*$", "", line); 
> global_test_result = line; } else if (line ~ /^[       
> ]*:copy-in-global-log:[         ]*[nN][oO]/) copy_in_global_log = 0; }; if 
> (copy_in_global_log) { rst_section(global_test_result ": " $0); while ((rc = 
> (getline line < ($0 ".log"))) != 0) { if (rc < 0) fatal("failed to read from 
> " $0 ".log"); print line; }; printf "\n"; }; close ($0 ".trs"); close ($0 
> ".log"); }';                                     \
> } >test-suite.log.tmp || exit 1;                              \
> mv test-suite.log.tmp test-suite.log;                 \
> if $success; then                                             \
>   col="$grn";                                                 \
>  else                                                         \
>   col="$red";                                                 \
>   test x"$VERBOSE" = x || cat test-suite.log;         \
> fi;                                                           \
> echo "${col}$br${std}";                                       \
> echo "${col}Testsuite summary"' for crac 2.5.2'"${std}";      \
> echo "${col}$br${std}";                                       \
> create_testsuite_report --maybe-color;                                \
> echo "$col$br$std";                                           \
> if $success; then :; else                                     \
>   echo "${col}See test_f/test-suite.log for debugging.${std}";\
>   if test -n "crac-b...@lists.gforge.inria.fr"; then                  \
>     please_report | sed -e "s/^/${col}/" -e s/'$'/"${std}"/; \
>   fi;                                                         \
>   echo "$col$br$std";                                 \
> fi;                                                           \
> $success || exit 1
> =======================================
>    crac 2.5.2: test_f/test-suite.log
> =======================================
> 
> # TOTAL: 3
> # PASS:  2
> # SKIP:  0
> # XFAIL: 0
> # FAIL:  1
> # XPASS: 0
> # ERROR: 0
> 
> System information (uname -a): Linux 6.1.0-32-cloud-amd64 #1 SMP 
> PREEMPT_DYNAMIC Debian 6.1.129-1 (2025-03-06) x86_64
> Distribution information (/etc/os-release):
> PRETTY_NAME="Debian GNU/Linux trixie/sid"
> NAME="Debian GNU/Linux"
> VERSION_CODENAME=trixie
> ID=debian
> HOME_URL="https://www.debian.org/";
> SUPPORT_URL="https://www.debian.org/support";
> BUG_REPORT_URL="https://bugs.debian.org/";
> 
> .. contents:: :depth: 2
> 
> FAIL: launch_sg.sh
> ==================
> 
> Launching ' ../../src/crac -i ../../test_f/causes/genome -r snp.fa -k 22 
> --deep-snv --nb-nucleotides-snv-comparison 3 -o ../../test_f/causes/snp.sam 
> --detailed-sam --use-x-in-cigar'
> Cannot open index
> ==> ../../test_f/causes/snp.fa.tap
> 
> Launching ' ../../src/crac -i ../../test_f/causes/genome -r biotag.fa -k 22 
> -o ../../test_f/causes/biotag.sam --detailed-sam --use-x-in-cigar'
> Cannot open index
> ==> ../../test_f/causes/biotag.fa.tap
> 
> Launching ' ../../src/crac -i ../../test_f/splices_adjust/genome -r splice.fa 
> -k 22 -o ../../test_f/splices_adjust/splice.sam --detailed-sam'
> Cannot open index
> ==> ../../test_f/splices_adjust/splice.tap
> 
> Launching ' ../../src/crac -i ../../test_f/cigar/genome -r reads_k18.fasta -k 
> 18 -o ../../test_f/cigar/consistency2.sam'
> Cannot open index
> ==> ../../test_f/cigar/consistency2.tap
> 
> Launching ' ../../src/crac -i ../../test_f/cigar/genome -r reads.fasta -k 22 
> -o ../../test_f/cigar/consistency.sam --detailed-sam --reads-index GKARRAYS 
> --use-x-in-cigar --min-chimera-score 0'
> Cannot open index
> ==> ../../test_f/cigar/consistency.tap
> 
> Launching ' ../../src/crac -i ../../test_f/cigar/genome -r reads_sam1.fasta 
> reads_sam2.fasta -k 10 -o ../../test_f/cigar/consistency3.sam 
> --treat-multiple 100 --use-x-in-cigar'
> Cannot open index
> ==> ../../test_f/cigar/consistency3.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-18180-genome -r 
> bug-18180-read.fa --detailed-sam --emt -k 18 -o 
> ../../test_f/bug/bug-18180.sam'
> Warning: Running CRAC--emt with k=18 which means that it only maps the first 
> located kmer of length 18 for each read
> Cannot open index
> ==> ../../test_f/bug/bug-18180.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-2015-12-08-genome -r 
> bug-2015-12-08-read1.fa bug-2015-12-08-read2.fa -k 22 -o 
> ../../test_f/bug/bug-2015-12-08.sam --detailed-sam --reads-index GKARRAYS'
> Cannot open index
> ==> ../../test_f/bug/bug-2015-12-08.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-18568-genome -r 
> bug-18568-read.fa -k 22 -o ../../test_f/bug/bug-18568.sam --detailed-sam 
> --reads-index GKARRAYS'
> Cannot open index
> ==> ../../test_f/bug/bug-18568.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-18522-genome -r 
> bug-18522-read.fa -k 10 -o ../../test_f/bug/bug-18522.sam --treat-multiple 2'
> Cannot open index
> ==> ../../test_f/bug/bug-18522.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-18435-genome -r 
> bug-18435-read.fa -k 22 -o ../../test_f/bug/bug-18435.sam'
> Cannot open index
> ==> ../../test_f/bug/bug-18435.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-15649-genome -r 
> bug-15649-read.fa --detailed-sam -k 22 -o ../../test_f/bug/bug-15649.sam'
> Cannot open index
> ==> ../../test_f/bug/bug-15649.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-16581-genome -r 
> bug-16581-read.fq -m 25 -k 22 -o ../../test_f/bug/bug-16581.sam'
> Cannot open index
> ==> ../../test_f/bug/bug-16581.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-15605-genome -r 
> bug-15605-read.fa -k 22 -o ../../test_f/bug/bug-15605.sam --detailed-sam'
> Cannot open index
> ==> ../../test_f/bug/bug-15605.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-17749-genome -r 
> bug-17749-read.fa -k 22 -o ../../test_f/bug/bug-17749.sam --max-splice-length 
> 100 --max-extension-length 2 --min-chimera-score 0'
> Cannot open index
> ==> ../../test_f/bug/bug-17749.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-16403-genome -r 
> bug-16403-read.fa -k 20 -o ../../test_f/bug/bug-16931.sam'
> Cannot open index
> ==> ../../test_f/bug/bug-16931.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-15649-genome-2 -r 
> bug-15649-read.fa --detailed-sam -k 22 -o ../../test_f/bug/bug-15649-2.sam'
> Cannot open index
> ==> ../../test_f/bug/bug-15649-2.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-17175-genome -r 
> bug-17175-read.fa --detailed-sam -k 22 -o ../../test_f/bug/bug-17175.sam 
> --use-x-in-cigar'
> Cannot open index
> ==> ../../test_f/bug/bug-17175.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-15672-genome -r 
> bug-15672-read.fa -k 22 -o ../../test_f/bug/bug-15672.sam --detailed-sam'
> Cannot open index
> ==> ../../test_f/bug/bug-15672.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-15630-genome -r 
> bug-15630-read.fa --detailed-sam -k 18 -o ../../test_f/bug/bug-15630.sam'
> Cannot open index
> ==> ../../test_f/bug/bug-15630.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-18409-genome -r 
> bug-18409-read.fa --detailed-sam -k 22 -o /dev/stdout | tr ';' '\n''
> Cannot open index
> ==> ./bug-18409.tap
> 
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-16502-genome -r 
> bug-16502-read.fa -k 22 -o ../../test_f/bug/bug-16502.sam --reads-index 
> GKARRAYS'
> Cannot open index
> ==> ../../test_f/bug/bug-16502.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-18524-genome -r 
> bug-18524-read.fa -k 22 -o ../../test_f/bug/bug-18524.sam --detailed-sam'
> Cannot open index
> ==> ../../test_f/bug/bug-18524.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-case-sensitive-genome -r 
> bug-case-sensitive-read.fa -k 12 -o ../../test_f/bug/bug-case-sensitive.sam 
> --detailed-sam'
> Cannot open index
> ==> ../../test_f/bug/bug-case-sensitive.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-15677-genome -r 
> bug-15677-read.fa -k 22 -o ../../test_f/bug/bug-15677.sam'
> Cannot open index
> ==> ../../test_f/bug/bug-15677.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-15847-genome -r 
> bug-15847-read.fa -k 22 --treat-multiple 36 --detailed-sam -o 
> ../../test_f/bug/bug-15847.sam'
> Cannot open index
> ==> ../../test_f/bug/bug-15847.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-18793-genome -r 
> bug-18793-read.fa -k 22 -o ../../test_f/bug/bug-18793.sam --detailed-sam 
> --reads-index GKARRAYS'
> Cannot open index
> ==> ../../test_f/bug/bug-18793.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-15646-genome -r 
> bug-15646-read.fa --detailed-sam -k 22 -o ../../test_f/bug/bug-15646.sam'
> Cannot open index
> ==> ../../test_f/bug/bug-15646.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-15639-genome -r 
> bug-15639-read.fa -k 22 -o ../../test_f/bug/bug-15639.sam'
> Cannot open index
> ==> ../../test_f/bug/bug-15639.tap
> 
> Launching ' ../../src/crac -i ../../test_f/bug/bug-15605_2-genome -r 
> bug-15605_2-read.fa -k 22 -o ../../test_f/bug/bug-15605_2.sam --detailed-sam'
> Cannot open index
> ==> ../../test_f/bug/bug-15605_2.tap
> 
> FAIL launch_sg.sh (exit status: 1)
> 
> ============================================================================
> Testsuite summary for crac 2.5.2
> ============================================================================
> # TOTAL: 3
> # PASS:  2
> # SKIP:  0
> # XFAIL: 0
> # FAIL:  1
> # XPASS: 0
> # ERROR: 0
> ============================================================================
> See test_f/test-suite.log for debugging.
> Some test(s) failed.  Please report this to crac-b...@lists.gforge.inria.fr,
> together with the test-suite.log file (gzipped) and your system
> information.  Thanks.
> ============================================================================
> make[6]: *** [Makefile:805: test-suite.log] Error 1 shuffle=reverse
> make[6]: Leaving directory '/build/reproducible-path/crac-2.5.2+dfsg/test_f'
> make[5]: *** [Makefile:940: check-TESTS] Error 2 shuffle=reverse
> make[5]: Leaving directory '/build/reproducible-path/crac-2.5.2+dfsg/test_f'
> make[4]: *** [Makefile:1050: check-am] Error 2 shuffle=reverse
> make[4]: Leaving directory '/build/reproducible-path/crac-2.5.2+dfsg/test_f'
> make[3]: *** [Makefile:698: check-recursive] Error 1 shuffle=reverse
> make[3]: Leaving directory '/build/reproducible-path/crac-2.5.2+dfsg/test_f'
> make[2]: *** [Makefile:542: check-recursive] Error 1 shuffle=reverse
> make[2]: Leaving directory '/build/reproducible-path/crac-2.5.2+dfsg'
> dh_auto_test: error: make -j1 check "TESTSUITEFLAGS=-j1 --verbose" VERBOSE=1 
> returned exit code 2


The full build log is available from:
http://qa-logs.debian.net/2025/05/05/shuffle/reverse/crac_2.5.2+dfsg-6_unstable_reverse.log

If you reassign this bug to another package, please mark it as 'affects'-ing
this package. See https://www.debian.org/Bugs/server-control#affects

Reply via email to